package com.railway.business.baseinfo.mapper;

import com.github.pagehelper.Page;
import com.railway.business.baseinfo.domain.BasePreventBird;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 九防台账-防鸟 
* @author wuhonghao
* @date 2021/11/12
*/
@Mapper
@Repository
public interface BasePreventBirdMapper {

    /**
    * 新增
    */
    int insert(BasePreventBird basePreventBird);

    /**
    * 删除
    */
    int delete(@Param("id") String id);

    /**
    * 更新
    */
    int update(BasePreventBird basePreventBird);

    /**
    * 获取单个
    */
    BasePreventBird getInfo(@Param("id") String id);

    /**
    * 查询列表
    */
    Page<BasePreventBird> getList(BasePreventBird basePreventBird);

}
